Debian Bug report logs - #571255
Udev 151-2 upgrade problem on debian-testing-'squeeze' i386 cd binary1 20090302-04-:09

version graph

Package: udev; Maintainer for udev is Marco d'Itri <md@linux.it>; Source for udev is src:systemd.

Reported by: Seventh Prince <jiunshyong@gmail.com>

Date: Wed, 24 Feb 2010 18:06:01 UTC

Severity: grave

Tags: help, patch, squeeze

Merged with 600167

Found in versions 151.2, udev/150-1, udev/160-1

Fixed in version udev/163-1

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Wed, 24 Feb 2010 18:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Seventh Prince <jiunshyong@gmail.com>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 24 Feb 2010 18:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Seventh Prince <jiunshyong@gmail.com>
To: submit@bugs.debian.org
Subject: Udev 151-2 upgrade problem on debian-testing-'squeeze' i386 cd binary1 20090302-04-:09
Date: Thu, 25 Feb 2010 02:04:29 +0800
[Message part 1 (text/plain, inline)]
Package: udev
Version:  151.2

Hi,

I did an installation of debian-testing-i386 cd binary1 20090302-04-:09
with linux kernel 2.6.26-1-686 on an  Intel Celeron 534Mhz CPU.
Installation is succesful but when I did the apt-get upgrade yesterday, I
will get the udev upgrade error problem  resulting in unsuccessful updating
to the latest Debian Squeeze.  The system was trying to upgrade from udev
0.125.7  to 151.2

It seems latest udev version 151.2  is not supported on kernel
2.6.26-1-686.

Thanks.

Hor Jiun Shyong
Malaysia
[Message part 2 (text/html, inline)]

Reply sent to md@Linux.IT (Marco d'Itri):
You have taken responsibility. (Wed, 24 Feb 2010 18:18:08 GMT) Full text and rfc822 format available.

Notification sent to Seventh Prince <jiunshyong@gmail.com>:
Bug acknowledged by developer. (Wed, 24 Feb 2010 18:18:08 GMT) Full text and rfc822 format available.

Message #10 received at 571255-done@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Seventh Prince <jiunshyong@gmail.com>, 571255-done@bugs.debian.org
Subject: Re: Bug#571255: Udev 151-2 upgrade problem on debian-testing-'squeeze' i386 cd binary1 20090302-04-:09
Date: Wed, 24 Feb 2010 19:13:11 +0100
[Message part 1 (text/plain, inline)]
On Feb 24, Seventh Prince <jiunshyong@gmail.com> wrote:

> It seems latest udev version 151.2  is not supported on kernel
> 2.6.26-1-686.
It is not. If you need help, please look for help on an users support
mailing list/newsgroup/forum.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Tue, 16 Mar 2010 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre-Alexandre Voye <ontologiae@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Tue, 16 Mar 2010 13:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 571255@bugs.debian.org (full text, mbox):

From: Pierre-Alexandre Voye <ontologiae@gmail.com>
To: Debian Bug Tracking System <571255@bugs.debian.org>
Subject: udev_151-3_amd64 failed at apt-get install
Date: Tue, 16 Mar 2010 14:06:32 +0100
Package: udev
Version: 0.125-7+lenny3
Followup-For: Bug #571255



-- Package-specific info:
-- /etc/udev/rules.d/:
/etc/udev/rules.d/:
total 180
-rw-r--r-- 1 root root  1547 17 janv.  2009 024_hpmud.rules
lrwxrwxrwx 1 root root    19 19 févr. 17:24 025_libgphoto2.rules -> ../libgphoto2.rules
-rw-r--r-- 1 root root   839 22 déc.   2008 11-hplj10xx.rules
-rw-r--r-- 1 root root   115 17 janv.  2009 45-hplip.rules
-rw-r--r-- 1 root root  3801 26 août   2009 50-udev.rules
-rw-r--r-- 1 root root   115 17 janv.  2009 55-hpmud.rules
-rw-r--r-- 1 root root  1601 26 août   2009 60-persistent-input.rules
-rw-r--r-- 1 root root  4873 26 août   2009 60-persistent-storage.rules
-rw-r--r-- 1 root root  1488 26 août   2009 60-persistent-storage-tape.rules
-rw-r--r-- 1 root root   523 26 août   2009 60-persistent-v4l.rules
-rw-r--r-- 1 root root   696 19 févr. 16:45 70-persistent-cd.rules
-rw-r--r-- 1 root root   394 19 févr. 16:45 70-persistent-net.rules
-rw-r--r-- 1 root root   452 26 août   2009 75-cd-aliases-generator.rules
-rw-r--r-- 1 root root  4427 26 août   2009 75-persistent-net-generator.rules
-rw-r--r-- 1 root root  2507 26 août   2009 80-drivers.rules
-rw-r--r-- 1 root root    82  8 janv.  2009 90-hal.rules
-rw-r--r-- 1 root root  4559 26 août   2009 91-permissions.rules
-rw-r--r-- 1 root root   593 26 août   2009 95-late.rules
lrwxrwxrwx 1 root root    16 19 févr. 17:21 libmtp7.rules -> ../libmtp7.rules
lrwxrwxrwx 1 root root    19 19 févr. 17:25 z60_alsa-utils.rules -> ../alsa-utils.rules
-rw-r--r-- 1 root root 14883 20 oct.   2008 z60_libsane-extras.rules
-rw-r--r-- 1 root root 72908  9 déc.   2008 z60_libsane.rules
-rw-r--r-- 1 root root  6661  2 déc.   2007 z60_xserver-xorg-input-wacom.rules

-- /sys/:
/sys/block/hdc/dev
/sys/block/loop0/dev
/sys/block/loop1/dev
/sys/block/loop2/dev
/sys/block/loop3/dev
/sys/block/loop4/dev
/sys/block/loop5/dev
/sys/block/loop6/dev
/sys/block/loop7/dev
/sys/block/ram0/dev
/sys/block/ram10/dev
/sys/block/ram11/dev
/sys/block/ram12/dev
/sys/block/ram13/dev
/sys/block/ram14/dev
/sys/block/ram15/dev
/sys/block/ram1/dev
/sys/block/ram2/dev
/sys/block/ram3/dev
/sys/block/ram4/dev
/sys/block/ram5/dev
/sys/block/ram6/dev
/sys/block/ram7/dev
/sys/block/ram8/dev
/sys/block/ram9/dev
/sys/block/sda/dev
/sys/block/sda/sda1/dev
/sys/block/sda/sda2/dev
/sys/block/sda/sda5/dev
/sys/class/bsg/0:0:0:0/dev
/sys/class/input/input0/event0/dev
/sys/class/input/input0/mouse0/dev
/sys/class/input/input4/event4/dev
/sys/class/input/input5/event5/dev
/sys/class/input/input6/event6/dev
/sys/class/input/mice/dev
/sys/class/misc/cpu_dma_latency/dev
/sys/class/misc/hpet/dev
/sys/class/misc/mcelog/dev
/sys/class/misc/network_latency/dev
/sys/class/misc/network_throughput/dev
/sys/class/misc/psaux/dev
/sys/class/misc/snapshot/dev
/sys/class/ppdev/parport0/dev
/sys/class/printer/lp0/dev
/sys/class/rtc/rtc0/dev
/sys/class/sound/controlC0/dev
/sys/class/sound/pcmC0D0c/dev
/sys/class/sound/pcmC0D0p/dev
/sys/class/sound/pcmC0D1p/dev
/sys/class/sound/pcmC0D2c/dev
/sys/class/sound/seq/dev
/sys/class/sound/timer/dev
/sys/class/usb_device/usbdev1.1/dev
/sys/class/usb_device/usbdev2.1/dev
/sys/class/usb_device/usbdev3.1/dev
/sys/class/usb_device/usbdev4.1/dev
/sys/class/usb_device/usbdev5.1/dev
/sys/class/usb_device/usbdev6.1/dev
/sys/class/usb_device/usbdev7.1/dev
/sys/class/usb_endpoint/usbdev1.1_ep00/dev
/sys/class/usb_endpoint/usbdev1.1_ep81/dev
/sys/class/usb_endpoint/usbdev2.1_ep00/dev
/sys/class/usb_endpoint/usbdev2.1_ep81/dev
/sys/class/usb_endpoint/usbdev3.1_ep00/dev
/sys/class/usb_endpoint/usbdev3.1_ep81/dev
/sys/class/usb_endpoint/usbdev4.1_ep00/dev
/sys/class/usb_endpoint/usbdev4.1_ep81/dev
/sys/class/usb_endpoint/usbdev5.1_ep00/dev
/sys/class/usb_endpoint/usbdev5.1_ep81/dev
/sys/class/usb_endpoint/usbdev6.1_ep00/dev
/sys/class/usb_endpoint/usbdev6.1_ep81/dev
/sys/class/usb_endpoint/usbdev7.1_ep00/dev
/sys/class/usb_endpoint/usbdev7.1_ep81/dev
/sys/class/usbmon/usbmon0/dev
/sys/class/usbmon/usbmon1/dev
/sys/class/usbmon/usbmon2/dev
/sys/class/usbmon/usbmon3/dev
/sys/class/usbmon/usbmon4/dev
/sys/class/usbmon/usbmon5/dev
/sys/class/usbmon/usbmon6/dev
/sys/class/usbmon/usbmon7/dev
/sys/devices/pci0000:00/0000:00:12.0/usb1/dev
/sys/devices/pci0000:00/0000:00:12.1/usb2/dev
/sys/devices/pci0000:00/0000:00:12.2/usb3/dev
/sys/devices/pci0000:00/0000:00:13.0/usb4/dev
/sys/devices/pci0000:00/0000:00:13.1/usb5/dev
/sys/devices/pci0000:00/0000:00:13.2/usb6/dev
/sys/devices/pci0000:00/0000:00:14.5/usb7/dev

-- Kernel configuration:
 isapnp_init not present.


-- System Information:
Debian Release: 5.0.4
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages udev depends on:
ii  debconf [debconf-2.0]     1.5.28         Debian configuration management sy
ii  libc6                     2.10.2-6       Embedded GNU C Library: Shared lib
ii  libselinux1               2.0.89-4       SELinux runtime shared libraries
ii  libvolume-id0             0.125-7+lenny3 libvolume_id shared library
ii  lsb-base                  3.2-23         Linux Standard Base 3.2 init scrip

udev recommends no packages.

udev suggests no packages.

-- debconf information:
  udev/new_kernel_needed: false
  udev/title/upgrade:
  
udev/reboot_needed:


=============================

Trying to install linux-image-2.6.32-3-vserver-amd64, I have (Sorry it's in french): 

$sudo aptitude -f install  linux-image-2.6.32-3-vserver-amd64
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu       
Initialisation de l'état des paquets... Fait
Lecture des descriptions de tâches... Fait  
Les paquets suivants sont CASSÉS : 
  consolekit libpisock9 libudev0 xserver-xorg-core 
Les NOUVEAUX paquets suivants vont être installés : 
  debootstrap{a} firmware-linux-free{a} linux-image-2.6.32-3-vserver-amd64 util-vserver{a} 
Les paquets suivants seront ENLEVÉS : 
  epiphany-browser-data{u} gnome-network-admin{u} gnome-spell{u} gnome-vfs-obexftp{u} libasyncns0{u} libavahi-gobject0{u} libgda3-3{u} libgda3-common{u} libgdl-1-0{u} 
  libggz2{u} libggzcore9{u} libggzmod4{u} libgksu1.2-0{u} libgksuui1.0-1{u} libgpod3{u} libgtksourceview-common{u} libgtksourceview1.0-0{u} libgucharmap7{u} libmozjs1d{u} 
  libmtp7{u} libnm-glib0{u} libosp5{u} libpulse-mainloop-glib0{u} libpulse0{u} libsndfile1{u} libtalloc1{u} libxklavier15{u} python-numeric{u} w3c-dtd-xhtml{u} 
Les paquets partiellement installés suivants seront configurés : 
  xserver-xorg-input-all xserver-xorg-input-evdev xserver-xorg-input-kbd xserver-xorg-input-mouse xserver-xorg-input-synaptics xserver-xorg-input-wacom 
  xserver-xorg-video-all xserver-xorg-video-apm xserver-xorg-video-ark xserver-xorg-video-ati xserver-xorg-video-chips xserver-xorg-video-cirrus xserver-xorg-video-dummy 
  xserver-xorg-video-fbdev xserver-xorg-video-glint xserver-xorg-video-i128 xserver-xorg-video-intel xserver-xorg-video-mach64 xserver-xorg-video-mga 
  xserver-xorg-video-neomagic xserver-xorg-video-nv xserver-xorg-video-openchrome xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-radeonhd 
  xserver-xorg-video-rendition xserver-xorg-video-s3 xserver-xorg-video-s3virge xserver-xorg-video-savage xserver-xorg-video-siliconmotion xserver-xorg-video-sis 
  xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident xserver-xorg-video-tseng xserver-xorg-video-v4l xserver-xorg-video-vesa 
  xserver-xorg-video-vmware xserver-xorg-video-voodoo 
0 paquets mis à jour, 4 nouvellement installés, 29 à enlever et 569 non mis à jour.
Il est nécessaire de télécharger 28,5Mo/28,6Mo d'archives. Après dépaquetage, 64,7Mo seront utilisés.
Les paquets suivants ont des dépendances non satisfaites :
  xserver-xorg-core: Dépend: udev (>= 149) mais 0.125-7+lenny3 est installé et a été conservé
  libpisock9: Casse: udev (< 0.136-1) mais 0.125-7+lenny3 est installé et a été conservé
  libudev0: Dépend: udev (= 151-3) mais 0.125-7+lenny3 est installé et a été conservé
  consolekit: Casse: udev (< 147) mais 0.125-7+lenny3 est installé et a été conservé
Les actions suivantes permettront de résoudre ces dépendances :

Mettre à jour les paquets suivants :
udev [0.125-7+lenny3 (now) -> 151-3 (unstable)]

Le score est de 120

Accepter cette solution ? [Y/n/q/?] Y
Les NOUVEAUX paquets suivants vont être installés : 
  debootstrap{a} firmware-linux-free{a} linux-image-2.6.32-3-vserver-amd64 util-vserver{a} 
Les paquets suivants seront ENLEVÉS : 
  epiphany-browser-data{u} gnome-network-admin{u} gnome-spell{u} gnome-vfs-obexftp{u} libasyncns0{u} libavahi-gobject0{u} libgda3-3{u} libgda3-common{u} libgdl-1-0{u} 
  libggz2{u} libggzcore9{u} libggzmod4{u} libgksu1.2-0{u} libgksuui1.0-1{u} libgpod3{u} libgtksourceview-common{u} libgtksourceview1.0-0{u} libgucharmap7{u} libmozjs1d{u} 
  libmtp7{u} libnm-glib0{u} libosp5{u} libpulse-mainloop-glib0{u} libpulse0{u} libsndfile1{u} libtalloc1{u} libxklavier15{u} python-numeric{u} w3c-dtd-xhtml{u} 
Les paquets suivants seront mis à jour : 
  udev 
Les paquets partiellement installés suivants seront configurés : 
  libudev0 xserver-xorg-core xserver-xorg-input-all xserver-xorg-input-evdev xserver-xorg-input-kbd xserver-xorg-input-mouse xserver-xorg-input-synaptics 
  xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-apm xserver-xorg-video-ark xserver-xorg-video-ati xserver-xorg-video-chips xserver-xorg-video-cirrus 
  xserver-xorg-video-dummy xserver-xorg-video-fbdev xserver-xorg-video-glint xserver-xorg-video-i128 xserver-xorg-video-intel xserver-xorg-video-mach64 
  xserver-xorg-video-mga xserver-xorg-video-neomagic xserver-xorg-video-nv xserver-xorg-video-openchrome xserver-xorg-video-r128 xserver-xorg-video-radeon 
  xserver-xorg-video-radeonhd xserver-xorg-video-rendition xserver-xorg-video-s3 xserver-xorg-video-s3virge xserver-xorg-video-savage xserver-xorg-video-siliconmotion 
  xserver-xorg-video-sis xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident xserver-xorg-video-tseng xserver-xorg-video-v4l 
  xserver-xorg-video-vesa xserver-xorg-video-vmware xserver-xorg-video-voodoo 
1 paquets mis à jour, 4 nouvellement installés, 29 à enlever et 568 non mis à jour.
Il est nécessaire de télécharger 28,5Mo/29,0Mo d'archives. Après dépaquetage, 65,4Mo seront utilisés.
Voulez-vous continuer ? [Y/n/?] Y
Écriture de l'information d'état étendu... Fait
Prendre : 1 http://ftp.fr.debian.org sid/main linux-image-2.6.32-3-vserver-amd64 2.6.32-9 [27,8MB]
Prendre : 2 http://ftp.fr.debian.org sid/main util-vserver 0.30.216-pre2864-1 [572kB]                                                                                          
Prendre : 3 http://ftp.fr.debian.org sid/main debootstrap 1.0.22 [57,1kB]                                                                                                      
 28,5Mo téléchargés en 45s (628ko/s)                                                                                                                                           
Préconfiguration des paquets...
(Lecture de la base de données... 104326 fichiers et répertoires déjà installés.)
Préparation du remplacement de udev 0.125-7+lenny3 (en utilisant .../archives/udev_151-3_amd64.deb) ...


Since release 150, udev requires that support for the CONFIG_SYSFS_DEPRECATED
feature is disabled in the running kernel.

Please upgrade your kernel before or while upgrading udev.

AT YOUR OWN RISK, you can force the installation of this version of udev
WHICH DOES NOT WORK WITH YOUR RUNNING KERNEL AND WILL BREAK YOUR SYSTEM
AT THE NEXT REBOOT by creating the /etc/udev/kernel-upgrade file.
There is always a safer way to upgrade, do not try this unless you
understand what you are doing!


dpkg : erreur de traitement de /var/cache/apt/archives/udev_151-3_amd64.deb (--unpack) :
 le sous-processus nouveau script pre-installation a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/udev_151-3_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Échec de l'installation d'un paquet. Tentative de réparation : 
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-core :
 xserver-xorg-core dépend de udev (>= 149) ; cependant :
  La version de udev sur le système est 0.125-7+lenny3.
dpkg : erreur de traitement de xserver-xorg-core (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-openchrome :
 xserver-xorg-video-openchrome dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-openchrome (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-vmware :
 xserver-xorg-video-vmware dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-vmware (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de libudev0 :
 libudev0 dépend de udev (= 151-3) ; cependant :
  La version de udev sur le système est 0.125-7+lenny3.
dpkg : erreur de traitement de libudev0 (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-input-wacom :
 xserver-xorg-input-wacom dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-input-wacom (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-radeon :
 xserver-xorg-video-radeon dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-radeon (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-radeonhd :
 xserver-xorg-video-radeonhd dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-radeonhd (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-savage :
 xserver-xorg-video-savage dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-savage (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-fbdev :
 xserver-xorg-video-fbdev dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-fbdev (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-input-evdev :
 xserver-xorg-input-evdev dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-input-evdev (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-glint :
 xserver-xorg-video-glint dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-glint (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg :
 xserver-xorg dépend de xserver-xorg-core (>= 2:1.7) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
 xserver-xorg dépend de xserver-xorg-input-evdev ; cependant :
 Le paquet xserver-xorg-input-evdev n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-all :
 xserver-xorg-video-all dépend de xserver-xorg-video-fbdev ; cependant :
 Le paquet xserver-xorg-video-fbdev n'est pas encore configuré.
 xserver-xorg-video-all dépend de xserver-xorg-video-radeonhd ; cependant :
 Le paquet xserver-xorg-video-radeonhd n'est pas encore configuré.
 xserver-xorg-video-all dépend de xserver-xorg-video-savage ; cependant :
 Le paquet xserver-xorg-video-savage n'est pas encore configuré.
 xserver-xorg-video-all dépend de xserver-xorg-video-openchrome ; cependant :
 Le paquet xserver-xorg-video-openchrome n'est pas encore configuré.
 xserver-xorg-video-all dépend de xserver-xorg-video-vmware ; cependant :
 Le paquet xserver-xorg-video-vmware n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-all (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-input-synaptics :
 xserver-xorg-input-synaptics dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-input-synaptics (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-vesa :
 xserver-xorg-video-vesa dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-vesa (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-rendition :
 xserver-xorg-video-rendition dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-rendition (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-dummy :
 xserver-xorg-video-dummy dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-dummy (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-sisusb :
 xserver-xorg-video-sisusb dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-sisusb (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-tdfx :
 xserver-xorg-video-tdfx dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-tdfx (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-ark :
 xserver-xorg-video-ark dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-ark (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-cirrus :
 xserver-xorg-video-cirrus dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-cirrus (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-r128 :
 xserver-xorg-video-r128 dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-r128 (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-neomagic :
 xserver-xorg-video-neomagic dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-neomagic (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-mga :
 xserver-xorg-video-mga dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-mga (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-i128 :
 xserver-xorg-video-i128 dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-i128 (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-s3 :
 xserver-xorg-video-s3 dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-s3 (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-trident :
 xserver-xorg-video-trident dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-trident (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-chips :
 xserver-xorg-video-chips dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-chips (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-intel :
 xserver-xorg-video-intel dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-intel (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-mach64 :
 xserver-xorg-video-mach64 dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-mach64 (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-input-all :
 xserver-xorg-input-all dépend de xserver-xorg-input-evdev ; cependant :
 Le paquet xserver-xorg-input-evdev n'est pas encore configuré.
 xserver-xorg-input-all dépend de xserver-xorg-input-synaptics ; cependant :
 Le paquet xserver-xorg-input-synaptics n'est pas encore configuré.
 xserver-xorg-input-all dépend de xserver-xorg-input-wacom ; cependant :
 Le paquet xserver-xorg-input-wacom n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-input-all (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-input-mouse :
 xserver-xorg-input-mouse dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-input-mouse (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-nv :
 xserver-xorg-video-nv dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-nv (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-input-kbd :
 xserver-xorg-input-kbd dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-input-kbd (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-ati :
 xserver-xorg-video-ati dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
 xserver-xorg-video-ati dépend de xserver-xorg-video-r128 ; cependant :
 Le paquet xserver-xorg-video-r128 n'est pas encore configuré.
 xserver-xorg-video-ati dépend de xserver-xorg-video-mach64 ; cependant :
 Le paquet xserver-xorg-video-mach64 n'est pas encore configuré.
 xserver-xorg-video-ati dépend de xserver-xorg-video-radeon ; cependant :
 Le paquet xserver-xorg-video-radeon n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-ati (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-siliconmotion :
 xserver-xorg-video-siliconmotion dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-siliconmotion (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-tseng :
 xserver-xorg-video-tseng dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-tseng (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-v4l :
 xserver-xorg-video-v4l dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-v4l (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-sis :
 xserver-xorg-video-sis dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-sis (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-apm :
 xserver-xorg-video-apm dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-apm (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-voodoo :
 xserver-xorg-video-voodoo dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-voodoo (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de xserver-xorg-video-s3virge :
 xserver-xorg-video-s3virge dépend de xserver-xorg-core (>= 2:1.6.99.900) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
dpkg : erreur de traitement de xserver-xorg-video-s3virge (--configure) :
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 xserver-xorg-core
 xserver-xorg-video-openchrome
 xserver-xorg-video-vmware
 libudev0
 xserver-xorg-input-wacom
 xserver-xorg-video-radeon
 xserver-xorg-video-radeonhd
 xserver-xorg-video-savage
 xserver-xorg-video-fbdev
 xserver-xorg-input-evdev
 xserver-xorg-video-glint
 xserver-xorg
 xserver-xorg-video-all
 xserver-xorg-input-synaptics
 xserver-xorg-video-vesa
 xserver-xorg-video-rendition
 xserver-xorg-video-dummy
 xserver-xorg-video-sisusb
 xserver-xorg-video-tdfx
 xserver-xorg-video-ark
 xserver-xorg-video-cirrus
 xserver-xorg-video-r128
 xserver-xorg-video-neomagic
 xserver-xorg-video-mga
 xserver-xorg-video-i128
 xserver-xorg-video-s3
 xserver-xorg-video-trident
 xserver-xorg-video-chips
 xserver-xorg-video-intel
 xserver-xorg-video-mach64
 xserver-xorg-input-all
 xserver-xorg-input-mouse
 xserver-xorg-video-nv
 xserver-xorg-input-kbd
 xserver-xorg-video-ati
 xserver-xorg-video-siliconmotion
 xserver-xorg-video-tseng
 xserver-xorg-video-v4l
 xserver-xorg-video-sis
 xserver-xorg-video-apm
 xserver-xorg-video-voodoo
 xserver-xorg-video-s3virge
Lecture des listes de paquets... Fait             
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu      
Initialisation de l'état des paquets... Fait
Écriture de l'information d'état étendu... Fait
Lecture des descriptions de tâches... Fait       


================


$ sudo  dpkg -i /var/cache/apt/archives/udev_151-3_amd64.deb 
(Lecture de la base de données... 104326 fichiers et répertoires déjà installés.)
Préparation du remplacement de udev 0.125-7+lenny3 (en utilisant .../archives/udev_151-3_amd64.deb) ...


Since release 150, udev requires that support for the CONFIG_SYSFS_DEPRECATED
feature is disabled in the running kernel.

Please upgrade your kernel before or while upgrading udev.

AT YOUR OWN RISK, you can force the installation of this version of udev
WHICH DOES NOT WORK WITH YOUR RUNNING KERNEL AND WILL BREAK YOUR SYSTEM
AT THE NEXT REBOOT by creating the /etc/udev/kernel-upgrade file.
There is always a safer way to upgrade, do not try this unless you
understand what you are doing!


dpkg : erreur de traitement de /var/cache/apt/archives/udev_151-3_amd64.deb (--install) :
 le sous-processus nouveau script pre-installation a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/udev_151-3_amd64.deb





Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Wed, 17 Mar 2010 11:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-devel@lists.debian.org, 571255@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 17 Mar 2010 11:48:05 GMT) Full text and rfc822 format available.

Message #20 received at 571255@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Pierre-Alexandre Voye <ontologiae@gmail.com>, 571255@bugs.debian.org
Cc: control@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#571255: udev_151-3_amd64 failed at apt-get install
Date: Wed, 17 Mar 2010 12:46:25 +0100
[Message part 1 (text/plain, inline)]
severity 571255 grave
found 571255 150-1
thanks

The preinst code which guaranteed lockstep upgrades of udev and kernel
packages does not work reliably anymore, apparently because apt now
tries to install the kernel and udev packages with different dpkg runs.
We need a new solution which does not require users to manually disable
the check...

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Severity set to 'grave' from 'normal' Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Wed, 17 Mar 2010 11:48:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions udev/150-1 and reopened. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Wed, 17 Mar 2010 11:48:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Thu, 18 Mar 2010 09:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <greffrath@leat.rub.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 18 Mar 2010 09:12:03 GMT) Full text and rfc822 format available.

Message #29 received at 571255@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <greffrath@leat.rub.de>
Cc: debian-devel@lists.debian.org, 571255@bugs.debian.org
Subject: Re: Re: Bug#571255: udev_151-3_amd64 failed at apt-get install
Date: Thu, 18 Mar 2010 10:09:52 +0100
> The preinst code which guaranteed lockstep upgrades of udev and kernel
> packages does not work reliably anymore, apparently because apt now
> tries to install the kernel and udev packages with different dpkg runs.
> We need a new solution which does not require users to manually disable
> the check...

IIRC the output of "dpkg -l" indicates that a package is "about to be 
installed" in the first two characters of the corresponding line.

Hope this helps...

 - Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Thu, 18 Mar 2010 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion <orion@frondeg.co.uk>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 18 Mar 2010 20:33:03 GMT) Full text and rfc822 format available.

Message #34 received at 571255@bugs.debian.org (full text, mbox):

From: Orion <orion@frondeg.co.uk>
To: 571255@bugs.debian.org
Subject: Re: Re: Bug#571255: udev_151-3_amd64 failed at apt-get install
Date: Thu, 18 Mar 2010 20:29:03 +0000
Hi

I can confirm this bug too. I definitely agree with the change of
severity to grave. 

In my case, I tried to install a large number of packages on a fresh
Lenny system, in which a dependency of one required udev to be upgraded
to the latest version. I received the same error as Pierre-Alexandre
and my system was basically deadlocked. It would not let me upgrade the
kernel first as it wouldn't properly process the installation without
first solving udev, which itself of course could not be resolved
without installing the new kernel. 

There are probably various ways around it, but all of them require
manually working around the issue. I frankly decided it would probably
be less problematic to just reinstall Lenny completely and upgrade the
kernel first. I found version 2.6.30-8squeeze1 works fine. This avoided
any potential issues I may cause by fiddling around. 

From the point of view of any inexperienced Linux user, this issue will
be somewhat daunting. 

Orion




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Thu, 18 Mar 2010 21:00:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 18 Mar 2010 21:00:09 GMT) Full text and rfc822 format available.

Message #39 received at 571255@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Orion <orion@frondeg.co.uk>, 571255@bugs.debian.org
Subject: Re: Bug#571255: Re: Bug#571255: udev_151-3_amd64 failed at apt-get install
Date: Thu, 18 Mar 2010 21:35:56 +0100
[Message part 1 (text/plain, inline)]
On Mar 18, Orion <orion@frondeg.co.uk> wrote:

> There are probably various ways around it, but all of them require
There is a trivial way around this, prominently displayed in the error
message. So I don't know what you are talking about.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Fri, 19 Mar 2010 10:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion <orion@frondeg.co.uk>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 19 Mar 2010 10:03:04 GMT) Full text and rfc822 format available.

Message #44 received at 571255@bugs.debian.org (full text, mbox):

From: Orion <orion@frondeg.co.uk>
To: 571255@bugs.debian.org
Subject: Re: Udev Bug
Date: Fri, 19 Mar 2010 10:02:03 +0000
I misread the error message when I encountered the bug and so
I didn't notice the specific instructions given as a workaround. 

I believe the rest of the post is valid.




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Fri, 26 Mar 2010 03:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Chady <marcinchady@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 26 Mar 2010 03:27:03 GMT) Full text and rfc822 format available.

Message #49 received at 571255@bugs.debian.org (full text, mbox):

From: Marcin Chady <marcinchady@gmail.com>
To: 571255@bugs.debian.org
Subject: Re: Udev Bug
Date: Thu, 25 Mar 2010 20:25:33 -0700
[Message part 1 (text/plain, inline)]
Marco,

Couldn't you just make that message a little more helpful by adding that if
one is doing a distribution upgrade they should apply the workaround? Btw, I
read it to mean that I should touch /etc/udev/kernel-upgrade, which doesn't
work for me. When I repeat apt-get -f install, I still get the same error
from udev.

Marcin
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Fri, 26 Mar 2010 03:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 26 Mar 2010 03:33:03 GMT) Full text and rfc822 format available.

Message #54 received at 571255@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Marcin Chady <marcinchady@gmail.com>, 571255@bugs.debian.org
Subject: Re: Bug#571255: Udev Bug
Date: Fri, 26 Mar 2010 04:30:37 +0100
[Message part 1 (text/plain, inline)]
On Mar 26, Marcin Chady <marcinchady@gmail.com> wrote:

> Couldn't you just make that message a little more helpful by adding that if
> one is doing a distribution upgrade they should apply the workaround? Btw, I
No, because the package needs to be fixed in some way so no workaround
is needed.

> read it to mean that I should touch /etc/udev/kernel-upgrade, which doesn't
> work for me. When I repeat apt-get -f install, I still get the same error
> from udev.
I find hard to believe this.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Thu, 01 Apr 2010 11:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <olaf@xwis.net>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Thu, 01 Apr 2010 11:51:10 GMT) Full text and rfc822 format available.


Message #59 received at 571255@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <olaf@xwis.net>
To: 571255@bugs.debian.org
Date: Thu, 01 Apr 2010 13:25:14 +0200
Can't udev depend on the newer kernel required so it gets installed 
automatically?




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Thu, 01 Apr 2010 13:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 01 Apr 2010 13:06:05 GMT) Full text and rfc822 format available.

Message #64 received at 571255@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Olaf van der Spek <olaf@xwis.net>, 571255@bugs.debian.org
Subject: Re: Bug#571255: (no subject)
Date: Thu, 1 Apr 2010 14:54:42 +0200
[Message part 1 (text/plain, inline)]
On Apr 01, Olaf van der Spek <olaf@xwis.net> wrote:

> Can't udev depend on the newer kernel required so it gets installed  
> automatically?
No.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Mon, 26 Apr 2010 01:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Drew Miller <drew666@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Mon, 26 Apr 2010 01:18:03 GMT) Full text and rfc822 format available.

Message #69 received at 571255@bugs.debian.org (full text, mbox):

From: Drew Miller <drew666@gmail.com>
To: 571255@bugs.debian.org
Subject: Please fix this
Date: Sun, 25 Apr 2010 18:15:54 -0700
For me, this bug blocked my upgrade from Stable to Lenny, at least
until I read the error message. It would be great if this was fixed.




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Mon, 26 Apr 2010 01:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Mon, 26 Apr 2010 01:24:03 GMT) Full text and rfc822 format available.

Message #74 received at 571255@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Drew Miller <drew666@gmail.com>, 571255@bugs.debian.org
Subject: Re: Bug#571255: Please fix this
Date: Mon, 26 Apr 2010 03:20:08 +0200
[Message part 1 (text/plain, inline)]
On Apr 26, Drew Miller <drew666@gmail.com> wrote:

> For me, this bug blocked my upgrade from Stable to Lenny, at least
> until I read the error message. It would be great if this was fixed.
It would be great if somebody could provide a fix.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Fri, 07 May 2010 13:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 07 May 2010 13:45:07 GMT) Full text and rfc822 format available.

Message #79 received at 571255@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Marco d'Itri <md@Linux.IT>
Cc: Drew Miller <drew666@gmail.com>, 571255@bugs.debian.org, deity@lists.debian.org
Subject: Re: Bug#571255: Please fix this
Date: Fri, 7 May 2010 15:43:29 +0200
On Mon, 26 Apr 2010, Marco d'Itri wrote:
> On Apr 26, Drew Miller <drew666@gmail.com> wrote:
> 
> > For me, this bug blocked my upgrade from Stable to Lenny, at least
> > until I read the error message. It would be great if this was fixed.
> It would be great if somebody could provide a fix.

It would be great if you could work towards such a fix... for example by
asking the apt developers if there's any other way to detect that a
package is planned for installation.

Dear APT developers, the udev preinst tries to detect if a newer kernel is
going to be installed by analyzing the dpkg command line. Unfortunately 
the kernel package can be installed by APT in a different dpkg run
than the one where udev is installed and thus not be aware of the
planned installation.

Is there a (reliable) way for udev's preinst to check if a new kernel is
being installed?

Cheers,
-- 
Raphaël Hertzog

Like what I do? Sponsor me: http://ouaza.com/wp/2010/01/05/5-years-of-freexian/
My Debian goals: http://ouaza.com/wp/2010/01/09/debian-related-goals-for-2010/




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Wed, 12 May 2010 10:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Kalnischkies <kalnischkies+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 12 May 2010 10:39:06 GMT) Full text and rfc822 format available.

Message #84 received at 571255@bugs.debian.org (full text, mbox):

From: David Kalnischkies <kalnischkies+debian@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: "Marco d'Itri" <md@linux.it>, Drew Miller <drew666@gmail.com>, 571255 <571255@bugs.debian.org>, deity <deity@lists.debian.org>
Subject: Re: Bug#571255: Please fix this
Date: Wed, 12 May 2010 12:36:23 +0200
Hi *,

2010/5/7 Raphael Hertzog <hertzog@debian.org>:
> Dear APT developers, the udev preinst tries to detect if a newer kernel is
> going to be installed by analyzing the dpkg command line. Unfortunately
> the kernel package can be installed by APT in a different dpkg run
> than the one where udev is installed and thus not be aware of the
> planned installation.
>
> Is there a (reliable) way for udev's preinst to check if a new kernel is
> being installed?

In short: No.
It would be really cool if udev could depend on the new kernel - or
at least say that it Breaks the old (= the old metapackage version)
so the package manager can handle this as he is supposed to do.

Long:
udev is an important package so it will get APTs (special and unique)
Immediate-Configuration handling APT performs on important/essential
packages so it is pretty likely that udev is unpacked (and configured)
before the kernel is even touched - but even if the handling wouldn't be
special were would be enough possibilities to have a divided unpack:
APT needs to split calls to dpkg at some point to avoid too long commandline
calls for example which is pretty common in big stable-to-next-stable
upgrades. Also a maintainer-script failure of an unrelated package could
cause that the rest of the schedule is dropped (which is why we have the
special handling) - or simple stuff like power outages and so on…

If udev really can't depend on the kernel i can only think of a note in the
Releasenotes and a debconf message displaying a warning if no
supported kernel is installed (= the user hasn't followed the Releasenotes).
This means a lot of people (not following the Releasenotes) will see this
warning but doesn't need to do anything about it later as the newer kernel
is installed for them later on in the dist-upgrade - but that is the only sane
way i can see so far (beside a proper depends/breaks).

And if it is not already done i guess udev should display a nice message
if used with a too old kernel as a installed kernel is by far no guarantee
that it is the default or if that it is the kernel the user will use for the
next boot…

Best regards,

David Kalnischkies




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Wed, 12 May 2010 12:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 12 May 2010 12:00:03 GMT) Full text and rfc822 format available.

Message #89 received at 571255@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: David Kalnischkies <kalnischkies+debian@gmail.com>
Cc: Raphael Hertzog <hertzog@debian.org>, Drew Miller <drew666@gmail.com>, 571255 <571255@bugs.debian.org>, deity <deity@lists.debian.org>
Subject: Re: Bug#571255: Please fix this
Date: Wed, 12 May 2010 12:41:43 +0200
[Message part 1 (text/plain, inline)]
On May 12, David Kalnischkies <kalnischkies+debian@gmail.com> wrote:

> It would be really cool if udev could depend on the new kernel - or
Developers are supposed to know that other packages cannot depend on
kernel packages.

> If udev really can't depend on the kernel i can only think of a note in the
> Releasenotes and a debconf message displaying a warning if no
> supported kernel is installed (= the user hasn't followed the Releasenotes).
This is not enough, udev and the kernel must be installed at the same
time because the new kernel (indirectly) depends on a newer udev.

> This means a lot of people (not following the Releasenotes) will see this
> warning but doesn't need to do anything about it later as the newer kernel
This means that every single user will have to manually run apt-get to
upgrade udev and the kernel, which is annoying and was not needed last
time we had this issue.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Wed, 12 May 2010 14:42:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Kalnischkies <kalnischkies+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 12 May 2010 14:42:20 GMT) Full text and rfc822 format available.

Message #94 received at 571255@bugs.debian.org (full text, mbox):

From: David Kalnischkies <kalnischkies+debian@gmail.com>
To: md <md@linux.it>, David Kalnischkies <kalnischkies+debian@gmail.com>, Raphael Hertzog <hertzog@debian.org>, Drew Miller <drew666@gmail.com>, 571255 <571255@bugs.debian.org>, deity <deity@lists.debian.org>
Subject: Re: Bug#571255: Please fix this
Date: Wed, 12 May 2010 16:41:39 +0200
2010/5/12 Marco d'Itri <md@linux.it>:
> On May 12, David Kalnischkies <kalnischkies+debian@gmail.com> wrote:
>
>> It would be really cool if udev could depend on the new kernel - or
> Developers are supposed to know that other packages cannot depend on
> kernel packages.

Good that i am not a developer so i can say crap and ask afterwards
for pointers to a documentation which tells me why udev can't e.g.
Breaks: linux-image-686 (<< x), linux-image-amd64 (<< x), …

Obviously this has blind spots but at least it is defined to work and
doesn't depend on black voodoo. User who haven't these metapackage
installed are the perfect audience for your preinst-fail message
as they will tend to have a self compiled (and specialist) kernels
which they expect to be bootable later on without a message…

>> If udev really can't depend on the kernel i can only think of a note in the
>> Releasenotes and a debconf message displaying a warning if no
>> supported kernel is installed (= the user hasn't followed the Releasenotes).
> This is not enough, udev and the kernel must be installed at the same
> time because the new kernel (indirectly) depends on a newer udev.

As far as i understand i need for a successful boot udev and a kernel without
that option enabled. This doesn't imply to me that i need to install it in
the same dpkg call, not even in the same apt call. Both is pretty hard
to do if you can't express it in the dependencies. I can on the other hand
tell the user that he needs to install other stuff to get the full (or in this
case any) experience later on.
The kernel e.g. does it for some firmware files.

>> This means a lot of people (not following the Releasenotes) will see this
>> warning but doesn't need to do anything about it later as the newer kernel
> This means that every single user will have to manually run apt-get to
> upgrade udev and the kernel, which is annoying and was not needed last
> time we had this issue.

It previously "worked" as udev was optional - now it is important.
I already described why i put quotation marks around "worked" here,
as if we ever depend on that behavior we should have added also
the a-bunch-of-luck package to the dependencies of udev…


Best regards,

David Kalnischkies




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Wed, 12 May 2010 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 12 May 2010 15:57:03 GMT) Full text and rfc822 format available.

Message #99 received at 571255@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: David Kalnischkies <kalnischkies+debian@gmail.com>, 571255@bugs.debian.org
Cc: Raphael Hertzog <hertzog@debian.org>, Drew Miller <drew666@gmail.com>, deity <deity@lists.debian.org>
Subject: Re: Bug#571255: Please fix this
Date: Wed, 12 May 2010 17:53:17 +0200
[Message part 1 (text/plain, inline)]
On May 12, David Kalnischkies <kalnischkies+debian@gmail.com> wrote:

> Good that i am not a developer so i can say crap and ask afterwards
> for pointers to a documentation which tells me why udev can't e.g.
> Breaks: linux-image-686 (<< x), linux-image-amd64 (<< x), ?
*Breaks* may work, dependencies are not acceptable.
Are there any objections from anybody to trying this?

> As far as i understand i need for a successful boot udev and a kernel without
> that option enabled. This doesn't imply to me that i need to install it in
Also for a working system. There have been enough changes that the old
udev will not like the new configuration files and will probably not
work much, so the system must be rebooted ASAP after upgrading
kernel+udev.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Thu, 13 May 2010 01:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 13 May 2010 01:33:08 GMT) Full text and rfc822 format available.

Message #104 received at 571255@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: md@Linux.IT
Cc: David Kalnischkies <kalnischkies+debian@gmail.com>, 571255@bugs.debian.org, Raphael Hertzog <hertzog@debian.org>, Drew Miller <drew666@gmail.com>, deity <deity@lists.debian.org>
Subject: Re: Bug#571255: Please fix this
Date: Thu, 13 May 2010 03:32:05 +0200
md@Linux.IT (Marco d'Itri) writes:

> On May 12, David Kalnischkies <kalnischkies+debian@gmail.com> wrote:
>
>> Good that i am not a developer so i can say crap and ask afterwards
>> for pointers to a documentation which tells me why udev can't e.g.
>> Breaks: linux-image-686 (<< x), linux-image-amd64 (<< x), ?
> *Breaks* may work, dependencies are not acceptable.
> Are there any objections from anybody to trying this?

The only affect I see this will have is that an installed linux-image meta
package will be updated. That might get a new kernel installed or not.

But how does that change anything for the system? It does not mean the
new kernel will be used at all. It does not mean older kernel images
will be removed. It does not change the kernel the system is currently
running. It in no way means udev will actually work.

>> As far as i understand i need for a successful boot udev and a kernel without
>> that option enabled. This doesn't imply to me that i need to install it in
> Also for a working system. There have been enough changes that the old
> udev will not like the new configuration files and will probably not
> work much, so the system must be rebooted ASAP after upgrading
> kernel+udev.

This really reminds me of the Windows world: You have moved your
mouse. This change will only take affect after a reboot. Reboot now?

When will you (meaning upstream) finally stabilize the udev api or allow
for transitions?

MfG
        Goswin




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Thu, 13 May 2010 12:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 13 May 2010 12:15:03 GMT) Full text and rfc822 format available.

Message #109 received at 571255@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Goswin von Brederlow <goswin-v-b@web.de>
Cc: md@Linux.IT, David Kalnischkies <kalnischkies+debian@gmail.com>, 571255@bugs.debian.org, Drew Miller <drew666@gmail.com>, deity <deity@lists.debian.org>
Subject: Re: Bug#571255: Please fix this
Date: Thu, 13 May 2010 14:12:19 +0200
On Thu, 13 May 2010, Goswin von Brederlow wrote:
> The only affect I see this will have is that an installed linux-image meta
> package will be updated. That might get a new kernel installed or not.

If the minimal version is carefully chosen, it will ensure a new kernel is
installed. That's the standard Debian way to have newer kernel
auto-installed and upgraded so we should be able to rely on it for
upgrades.

> But how does that change anything for the system? It does not mean the
> new kernel will be used at all. It does not mean older kernel images
> will be removed. It does not change the kernel the system is currently
> running. It in no way means udev will actually work.

Newer kernels are used by default in grub, sure the user can make a bad
choice but we can't prevent everything.

The current hack was no better in that regard. It just ensured that a
newer kernel was being installed, it had no way to ensure that a good
kernel is going to be used on next boot.

We could improve this further by having grub only display working kernels.
Packages could communicate a minimal kernel version to grub, and grub
could use that information in update-grub.

Cheers,
-- 
Raphaël Hertzog

Like what I do? Sponsor me: http://ouaza.com/wp/2010/01/05/5-years-of-freexian/
My Debian goals: http://ouaza.com/wp/2010/01/09/debian-related-goals-for-2010/




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Thu, 13 May 2010 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 13 May 2010 12:21:03 GMT) Full text and rfc822 format available.

Message #114 received at 571255@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: md@Linux.IT, David Kalnischkies <kalnischkies+debian@gmail.com>, 571255@bugs.debian.org, Drew Miller <drew666@gmail.com>, deity <deity@lists.debian.org>
Subject: Re: Bug#571255: Please fix this
Date: Thu, 13 May 2010 14:16:18 +0200
On Wed, 12 May 2010, Marco d'Itri wrote:
> On May 12, David Kalnischkies <kalnischkies+debian@gmail.com> wrote:
> 
> > Good that i am not a developer so i can say crap and ask afterwards
> > for pointers to a documentation which tells me why udev can't e.g.
> > Breaks: linux-image-686 (<< x), linux-image-amd64 (<< x), ?
> *Breaks* may work, dependencies are not acceptable.
> Are there any objections from anybody to trying this?

Nope, I thinks it's nicer than the previous work-around. It's just going
to be somewhat painful to have the complete list for all architectures (or
to customize it for each architecture).

> Also for a working system. There have been enough changes that the old
> udev will not like the new configuration files and will probably not
> work much, so the system must be rebooted ASAP after upgrading
> kernel+udev.

Ouch :|

Cheers,
-- 
Raphaël Hertzog

Like what I do? Sponsor me: http://ouaza.com/wp/2010/01/05/5-years-of-freexian/
My Debian goals: http://ouaza.com/wp/2010/01/09/debian-related-goals-for-2010/




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Thu, 13 May 2010 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 13 May 2010 13:57:03 GMT) Full text and rfc822 format available.

Message #119 received at 571255@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Goswin von Brederlow <goswin-v-b@web.de>, md@Linux.IT, David Kalnischkies <kalnischkies+debian@gmail.com>, 571255@bugs.debian.org, Drew Miller <drew666@gmail.com>, deity <deity@lists.debian.org>
Subject: Re: Bug#571255: Please fix this
Date: Thu, 13 May 2010 15:54:13 +0200
Raphael Hertzog <hertzog@debian.org> writes:

> On Thu, 13 May 2010, Goswin von Brederlow wrote:
>> The only affect I see this will have is that an installed linux-image meta
>> package will be updated. That might get a new kernel installed or not.
>
> If the minimal version is carefully chosen, it will ensure a new kernel is
> installed. That's the standard Debian way to have newer kernel
> auto-installed and upgraded so we should be able to rely on it for
> upgrades.

No. If the linux-image meta package isn't installed then it won't
be. Only if the user is using that way will it cause an update. The only
thing "Breaks" prevents is an old meta package being installed.

>> But how does that change anything for the system? It does not mean the
>> new kernel will be used at all. It does not mean older kernel images
>> will be removed. It does not change the kernel the system is currently
>> running. It in no way means udev will actually work.
>
> Newer kernels are used by default in grub, sure the user can make a bad
> choice but we can't prevent everything.
>
> The current hack was no better in that regard. It just ensured that a
> newer kernel was being installed, it had no way to ensure that a good
> kernel is going to be used on next boot.

Not saying it was. Just saying the Breaks will hardly help. The problem
is udev being so screwed up. The only real solution would be to make
udev work with multiple kernel versions.

> We could improve this further by having grub only display working kernels.
> Packages could communicate a minimal kernel version to grub, and grub
> could use that information in update-grub.

Please don't remove any entries. Booting a not quite woring kernel might
be the only way to recover from a bad kernel/udev update. But the
entries with too old kernel could be marked in some way.

Apart from that I like the idea.

MfG
        Goswin




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Fri, 14 May 2010 07:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Kalnischkies <kalnischkies+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 14 May 2010 07:12:05 GMT) Full text and rfc822 format available.

Message #124 received at 571255@bugs.debian.org (full text, mbox):

From: David Kalnischkies <kalnischkies+debian@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: md <md@linux.it>, 571255 <571255@bugs.debian.org>, Drew Miller <drew666@gmail.com>, deity <deity@lists.debian.org>
Subject: Re: Bug#571255: Please fix this
Date: Fri, 14 May 2010 09:10:59 +0200
2010/5/13 Raphael Hertzog <hertzog@debian.org>:
> On Wed, 12 May 2010, Marco d'Itri wrote:
>> On May 12, David Kalnischkies <kalnischkies+debian@gmail.com> wrote:
>>
>> > Good that i am not a developer so i can say crap and ask afterwards
>> > for pointers to a documentation which tells me why udev can't e.g.
>> > Breaks: linux-image-686 (<< x), linux-image-amd64 (<< x), ?
>> *Breaks* may work, dependencies are not acceptable.
>> Are there any objections from anybody to trying this?
>
> Nope, I thinks it's nicer than the previous work-around. It's just going
> to be somewhat painful to have the complete list for all architectures (or
> to customize it for each architecture).

Maybe even linux-image-2.6-amd64 and so on should be used.
The popcon [0] for these is much higher so the trick will work for more…
The Breaks line will "just" be awful long but customization for architectures
shouldn't be needed as all these non-available packages will be pure
virtual packages so APT & Co. can't care much less about them…

The Breaks are just not the ultimate solution: Users without these
metapackages (e.g. someone who is used to compiled his own kernel)
will get nothing - just as without the Breaks.
So udev still needs to fail if no supported kernel is installed.
It is just that this is less likely for a default install at least.

If that would be a "normal" package it should be also Breaks the old
kernel versions so they get removed from the system - i just don't like
the idea of possibly removing the currently running kernel…

>> Also for a working system. There have been enough changes that the old
>> udev will not like the new configuration files and will probably not
>> work much, so the system must be rebooted ASAP after upgrading
>> kernel+udev.

So i would even more vote for a note in the release notes.
On slow machines upgrades can easily run for an hour or two and/or users
tend to do stuff while an upgrade is running in the background so ASAP
can have very different definitions… And what does a user have to expect
if he doesn't reboot immediately? Could the system freeze for example?
If the upgrade would be still running… ++ungood.


Best regards,

David Kalnischkies

[0] http://qa.debian.org/popcon.php?package=linux-latest-2.6
unfortunately the table doesn't include all binary packages, but out
of 24621 adm64 popconers 20983 have the linux-image-2.6-amd64
installed… = 85% coverage




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Thu, 15 Jul 2010 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Toon Moene <toon@moene.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 15 Jul 2010 17:54:04 GMT) Full text and rfc822 format available.

Message #129 received at 571255@bugs.debian.org (full text, mbox):

From: Toon Moene <toon@moene.org>
To: 571255@bugs.debian.org
Subject: Re: Bug#571255: udev_151-3_amd64 failed at apt-get install
Date: Thu, 15 Jul 2010 19:30:29 +0200
> There is a trivial way around this, prominently displayed in the error
> message. So I don't know what you are talking about.

Sure - unfortunately that doesn't work if you come from Lenny - you 
cannot install linux-image-2.32-5 without udev-158-1, and trying to 
install udev-158-1 tells you your running kernel (which should be 
immaterial, if you're rebooting after install, which I always do - even 
if no kernel upgrade is involved) is too old.

How do Debian developers work around this ?

-- 
Toon Moene - e-mail: toon@moene.org - phone: +31 346 214290
Saturnushof 14, 3738 XG  Maartensdijk, The Netherlands
At home: http://moene.org/~toon/; weather: http://moene.org/~hirlam/
Progress of GNU Fortran: http://gcc.gnu.org/gcc-4.5/changes.html#Fortran




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Wed, 28 Jul 2010 22:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Frost <tobi@coldtobi.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 28 Jul 2010 22:15:06 GMT) Full text and rfc822 format available.

Message #134 received at 571255@bugs.debian.org (full text, mbox):

From: Tobias Frost <tobi@coldtobi.de>
To: Debian Bug Tracking System <571255@bugs.debian.org>
Subject: Re: 151-2 upgrade problem on debian-testing-'squeeze' i386 cd binary1 20090302-04-:09
Date: Wed, 28 Jul 2010 23:34:46 +0200
Package: udev
Severity: normal

> Newer kernels are used by default in grub, sure the user can make a bad
> choice but we can't prevent everything.

Do not forget the system where another kind of bootloader will load the kernel,  especially 
embedded systems where it is loaded from flash memory. On these systems it is a pain when 
a new installed kernel does not boot, so many people do not by default flash the new kernel, 
but first give it a try by loading it from RAM and flash it when they know that it is 
working -- recovery can be a pain in the ass when finding out that the new kernel won't 
boot but the old kernel won't do either because udev fucked it up.

And yes, this is real. This safed my Thecus N2100's life more than once. 

So the right thing IMHO would be to question the design of udev, if it is that fragile
to newer kernel versions and versions of its own configuration files. Surely not approiatly handled 
by an package claiming that importance. 

BTW: Where can I find out, what combinations of udev / kernels are good?




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Thu, 29 Jul 2010 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 29 Jul 2010 09:03:03 GMT) Full text and rfc822 format available.

Message #139 received at 571255@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Tobias Frost <tobi@coldtobi.de>, 571255@bugs.debian.org
Subject: Re: Bug#571255: 151-2 upgrade problem on debian-testing-'squeeze' i386 cd binary1 20090302-04-:09
Date: Thu, 29 Jul 2010 01:31:50 +0200
[Message part 1 (text/plain, inline)]
On Jul 28, Tobias Frost <tobi@coldtobi.de> wrote:

> Do not forget the system where another kind of bootloader will load the kernel,  especially 
> embedded systems where it is loaded from flash memory. On these systems it is a pain when 
Do you have a patch or did you just feel in the mood for a rant?

> BTW: Where can I find out, what combinations of udev / kernels are good?
README.Debian.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Wed, 04 Aug 2010 00:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Borowski <kilobyte@angband.pl>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 04 Aug 2010 00:27:03 GMT) Full text and rfc822 format available.

Message #144 received at 571255@bugs.debian.org (full text, mbox):

From: Adam Borowski <kilobyte@angband.pl>
To: 571255@bugs.debian.org
Subject: pre-upgrading the kernel doesn't help either
Date: Wed, 4 Aug 2010 02:24:04 +0200
Even if you upgrade the kernel before udev (but don't reboot immediately),
udev will still refuse to upgrade.  No way to force udev to proceed I tried
seems to work as well -- unless you mess with the package's maintainer
scripts, you'll have to reboot twice.

-- 
1KB		// Microsoft corollary to Hanlon's razor:
		//	Never attribute to stupidity what can be
		//	adequately explained by malice.




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Wed, 04 Aug 2010 09:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 04 Aug 2010 09:03:06 GMT) Full text and rfc822 format available.

Message #149 received at 571255@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Adam Borowski <kilobyte@angband.pl>, 571255@bugs.debian.org
Subject: Re: Bug#571255: pre-upgrading the kernel doesn't help either
Date: Wed, 4 Aug 2010 11:00:50 +0200
[Message part 1 (text/plain, inline)]
On Aug 04, Adam Borowski <kilobyte@angband.pl> wrote:

> Even if you upgrade the kernel before udev (but don't reboot immediately),
> udev will still refuse to upgrade.  No way to force udev to proceed I tried
> seems to work as well -- unless you mess with the package's maintainer
> scripts, you'll have to reboot twice.
Or carefully read the error message and do what it says.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Added tag(s) help. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Sat, 14 Aug 2010 16:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Mon, 13 Sep 2010 03:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Mon, 13 Sep 2010 03:12:03 GMT) Full text and rfc822 format available.

Message #156 received at 571255@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 571255@bugs.debian.org, Marco d'Itri <md@Linux.IT>
Subject: Completely trashes dist upgrade
Date: Mon, 13 Sep 2010 05:09:18 +0200
[Message part 1 (text/plain, inline)]
Hi,

I just did a test upgrade of a default lenny GNOME install to squeeze. It was a
complete desaster.

The abort in the udev preinstall script completely trashed the upgrade process.
I got pages of error messages from apt and the last message definitely wasn't
from udev, so spotting the instructions from the console was impossible as the
back on the console buffer didn't contain it anymore.

Even after reading through the udev bug report and creating the file in /etc,
apt was not able to recover from this.
I tried
dpkg --configure -a
apt-get -f install
apt-get dist-upgrade

But none of the above was able to continue and complete the upgrade process.
dpkg bailed out with  a "too many errors" message and apt-get with a
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by
held packages.
E: Unable to correct dependencies.

I know the intention of this preinst check, but this result is completely
unacceptable.

Unless a solution is found to reliably detect a kernel upgrade, I'd suggest you
remove the preinst check, add as NEWS.Debian entry to udev and document the
minimum kernel requirements in the release notes.

Cheers,
Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Mon, 13 Sep 2010 21:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Mon, 13 Sep 2010 21:30:04 GMT) Full text and rfc822 format available.

Message #161 received at 571255@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Michael Biebl <biebl@debian.org>, 571255@bugs.debian.org
Cc: Marco d'Itri <md@Linux.IT>
Subject: Re: Bug#571255: Completely trashes dist upgrade
Date: Mon, 13 Sep 2010 23:27:09 +0200
[Message part 1 (text/plain, inline)]
On Mon, Sep 13, 2010 at 05:09:18 +0200, Michael Biebl wrote:

> I know the intention of this preinst check, but this result is completely
> unacceptable.
> 
> Unless a solution is found to reliably detect a kernel upgrade, I'd suggest you
> remove the preinst check, add as NEWS.Debian entry to udev and document the
> minimum kernel requirements in the release notes.
> 
FWIW I partially downgraded a squeeze machine to lenny's X, kernel and
gnome a while back (keeping squeeze udev), and the machine seemed to
boot and work fine.  Admittedly I only used it for about an hour or so
before upgrading again, but that makes me wonder if the check in udev
preinst is really necessary?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Mon, 13 Sep 2010 21:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Mon, 13 Sep 2010 21:39:04 GMT) Full text and rfc822 format available.

Message #166 received at 571255@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Julien Cristau <jcristau@debian.org>
Cc: Michael Biebl <biebl@debian.org>, 571255@bugs.debian.org
Subject: Re: Bug#571255: Completely trashes dist upgrade
Date: Mon, 13 Sep 2010 23:36:44 +0200
[Message part 1 (text/plain, inline)]
On Sep 13, Julien Cristau <jcristau@debian.org> wrote:

> FWIW I partially downgraded a squeeze machine to lenny's X, kernel and
> gnome a while back (keeping squeeze udev), and the machine seemed to
> boot and work fine.  Admittedly I only used it for about an hour or so
> before upgrading again, but that makes me wonder if the check in udev
> preinst is really necessary?
The problem is that lenny kernels were compiled with
CONFIG_SYSFS_DEPRECATED, and with this feature enabled some rules will
not work in ways beyond most people's ability to understand.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Bug No longer marked as found in versions udev/0.125-7+lenny3. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sun, 19 Sep 2010 22:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Sun, 19 Sep 2010 22:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sun, 19 Sep 2010 22:51:05 GMT) Full text and rfc822 format available.

Message #173 received at 571255@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 571255@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Udev 151-2 upgrade problem on debian-testing-'squeeze' i386 cd binary1 20090302-04-:09
Date: Sun, 19 Sep 2010 15:47:57 -0700
[Message part 1 (text/plain, inline)]
Ciao Marco,

I've been working on wrapping my head fully around the various issues with
the udev and kernel upgrade, to ensure we have it documented properly in the
release notes.  It's clear to me that we will need to include documentation
of this issue in the release notes no matter what changes are made to the
packages, because users will need to know that the new udev won't work
correctly with the Debian 2.6.26 kernels.  At the same time, I think
something needs to change in the packages to improve the 'dist-upgrade'
experience, because we both know many users won't read the release notes.

First, what happened to the idea of using 'Breaks'?  This was proposed
months ago, but it hasn't been implemented yet in the package.  Should I
provide a patch that implements this?

Second, I've done some research and testing regarding the nature of the
incompatibility with CONFIG_SYSFS_DEPRECATED.  From what I see, the primary
impact of dropping the compat code from udev is that udev rules will no
longer be applied to certain devices, such as block devices and network
devices.  This will break /etc/udev/rules.d/70-persistent-net.rules, and
break any permission-setting on disks (e.g., the 'disk' and 'floppy' groups)
and certain alias symlinks for CD drives, but those are the only problems
I've been able to identify on a standard as a result of running udev 160
with CONFIG_SYSFS_DEPRECATED; and of these, only 70-persistent-net.rules is
potentially a boot-breaker, and would still permit booting the system far
enough to rescue by hand at console (i.e., the same process one would use if
a newer kernel was installed but not configured to boot by default, which is
one of the scenarios that currently permits bypassing this preinst error).

So do you know of any other things that will break, or can you provide
pointers to other areas I should look at?  You mention in the bug that some
rules "will not work in ways beyond most people's ability to understand",
but I don't even see any documentation here for those of us who *do* have
the ability to understand and want to try to explain it to the others.  :-)
If there aren't any other issues, then IMHO the case is clear for
downgrading the CONFIG_SYSFS_DEPRECATED handling from a preinst abort to a
preinst debconf note (i.e.: interrupt the upgrade before udev unpack, to
make sure the admin gets the message before we proceed).  Right now, the
cure (aborting the install of a core package during a dist-upgrade, leaving
apt in a difficult-to-fix state) is definitely much worse than the disease
(some devices not fully configured after reboot if the kernel isn't
upgraded, requiring the user to grab a console shell to install a proper
kernel).

Third, you write that the old udev *also* won't work with the new kernel.
Can you be more specific?  In my testing, this also works fine; I wasn't
able to identify anything out of place when rebooting to a 2.6.32 Debian
kernel with a lenny udev.

Finally, you comment in
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=571255#89> that "the new
kernel (indirectly) depends on a newer udev."  In my testing, I'm able to
install a 2.6.32-5 kernel package from squeeze directly onto lenny without
upgrading udev in the process.  When you say it "indirectly depends", do you
mean that there is a *logical* dependency that isn't reflected in the
package dependencies, or are you referring to some earlier situation whereby
upgrading the kernel package did pull in a udev upgrade at the same time?


To summarize, with the information I have available, I believe there are two
changes that should be made to the udev package:

 - add the Breaks: linux-image-2.6-$flavor
   (<< $SYSFS_DEPRECATED_fixed_version) to udev, as discussed
 - change the preinst CONFIG_SYSFS_DEPRECATED abort to a debconf error note
   warning users about the network, permissions problems if they don't
   install a new kernel

But I know that I may have overlooked some details.  If you see any problems
with my suggestion, please let me know what they are so that I can look for
better solutions.

And if there aren't problems with this proposal, I'm happy to prepare a
patch to the package for this if that would be helpful to you.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Sat, 02 Oct 2010 11:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 02 Oct 2010 11:30:03 GMT) Full text and rfc822 format available.

Message #178 received at 571255@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Steve Langasek <vorlon@debian.org>, 571255@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#571255: Udev 151-2 upgrade problem on debian-testing-'squeeze' i386 cd binary1 20090302-04-:09
Date: Sat, 2 Oct 2010 13:28:09 +0200
[Message part 1 (text/plain, inline)]
On Sun, Sep 19, 2010 at 15:47:57 -0700, Steve Langasek wrote:

> But I know that I may have overlooked some details.  If you see any problems
> with my suggestion, please let me know what they are so that I can look for
> better solutions.
> 
> And if there aren't problems with this proposal, I'm happy to prepare a
> patch to the package for this if that would be helpful to you.
> 
Marco, thoughts?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Mon, 04 Oct 2010 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Mon, 04 Oct 2010 15:27:03 GMT) Full text and rfc822 format available.

Message #183 received at 571255@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 571255@bugs.debian.org
Subject: Bidirectional incompatibility means co-installable udevs needed
Date: Mon, 4 Oct 2010 16:25:29 +0100
Steve writes:
> Third, you write that the old udev *also* won't work with the new
> kernel.  Can you be more specific?  In my testing, this also works
> fine; I wasn't able to identify anything out of place when rebooting
> to a 2.6.32 Debian kernel with a lenny udev.

If indeed the old udev doesn't work with the new kernel, and the new
udev doesn't work with the old kernel, and this situation cannnot be
rectified somehow, then the only correct solution is to change the
udev packages so that it is possible to install multiple versions of
udev at once and use the correct one at runtime (or initramfs build
time).

This follows from the following analysis:

We want the system never to be unbootable.  It's not acceptable if an
interrupted upgrade can result in a need to use rescue media.  This
means that there must always be a kernel+initramfs pair (in /boot and
wired into the bootloader) which is compatible with the installed
udev.

That means that before we replace the old udev with the new udev, we
must have previously generated and installed a kernel+initramfs pair
which contain the new kernel and the new udev.  (And, as an aside, we
must have done this without overwriting the previous kernel and
initramfs.)

However, the udev on the initramfs is copied from the running system
when the initramfs is build.  That means we can't generate the
initramfs for the new kernel until we have upgraded udev.

If there is backward compatibility in at least one direction, then the
dependencies (and/or safety catches in maintainer scripts) can be
arranged to do the right thing without needing to guess what is going
on from apt/dpkg command lines or the like.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Mon, 04 Oct 2010 15:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Mon, 04 Oct 2010 15:48:06 GMT) Full text and rfc822 format available.

Message #188 received at 571255@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Ian Jackson <ijackson@chiark.greenend.org.uk>, 571255@bugs.debian.org
Cc: Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#571255: Bidirectional incompatibility means co-installable udevs needed
Date: Mon, 4 Oct 2010 17:43:57 +0200
[Message part 1 (text/plain, inline)]
On Oct 04, Ian Jackson <ijackson@chiark.greenend.org.uk> wrote:

> Steve writes:
Sorry Steve, I should have answered your email... I promise I will do
this ASAP (short summary: you are probably right).

> If indeed the old udev doesn't work with the new kernel, and the new
> udev doesn't work with the old kernel, and this situation cannnot be
> rectified somehow, then the only correct solution is to change the
> udev packages so that it is possible to install multiple versions of
> udev at once and use the correct one at runtime (or initramfs build
> time).
This has been discussed in the past many times. Even if it were
practical to manage two versions of udev installed at the same time it
would not work because the old udev would not support the features
provided by the new one and which programs rely on.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Mon, 04 Oct 2010 23:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Mon, 04 Oct 2010 23:03:06 GMT) Full text and rfc822 format available.

Message #193 received at 571255@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: md@Linux.IT (Marco d'Itri)
Cc: 571255@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#571255: Bidirectional incompatibility means co-installable udevs needed
Date: Tue, 5 Oct 2010 00:00:45 +0100
Marco d'Itri writes ("Re: Bug#571255: Bidirectional incompatibility means co-installable udevs needed"):
> On Oct 04, Ian Jackson <ijackson@chiark.greenend.org.uk> wrote:
> > If indeed the old udev doesn't work with the new kernel, and the new
> > udev doesn't work with the old kernel, and this situation cannnot be
> > rectified somehow, then the only correct solution is to change the
> > udev packages so that it is possible to install multiple versions of
> > udev at once and use the correct one at runtime (or initramfs build
> > time).
>
> This has been discussed in the past many times.

Do you disagree with any part of the analysis in my message ?
The conclusion currently seems inescapable to me but I'd be happy to
hear an explanation of what's wrong with my assumptions or reasoning.

>   Even if it were practical to manage two versions of udev installed
> at the same time it would not work because the old udev would not
> support the features provided by the new one and which programs rely
> on.

You mean that packages which say Depends: udev (>= new version) might
find that the old version was still in use ?  Yes, that's true.

Those packages would have to check in the maintainer scripts (a
suitable checking script could be provided in the udev package) or
have the ability to fall back to only the features provided by earlier
udevs.

I think that would be a price worth paying for not leaving systems
unbootable during upgrades.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Mon, 04 Oct 2010 23:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Mon, 04 Oct 2010 23:09:06 GMT) Full text and rfc822 format available.

Message #198 received at 571255@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: md@Linux.IT (Marco d'Itri), 571255@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#571255: Bidirectional incompatibility means co-installable udevs needed
Date: Tue, 5 Oct 2010 00:04:42 +0100
I wrote:
> You mean that packages which say Depends: udev (>= new version) might
> find that the old version was still in use ?  Yes, that's true.

Of course I mean packages which currently say that and which, with
coinstallable udevs, would say Depends: udev-new-version.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Mon, 04 Oct 2010 23:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Mon, 04 Oct 2010 23:09:08 GMT) Full text and rfc822 format available.

Message #203 received at 571255@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Ian Jackson <ijackson@chiark.greenend.org.uk>
Cc: 571255@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#571255: Bidirectional incompatibility means co-installable udevs needed
Date: Tue, 5 Oct 2010 01:06:26 +0200
[Message part 1 (text/plain, inline)]
On Oct 05, Ian Jackson <ijackson@chiark.greenend.org.uk> wrote:

> Do you disagree with any part of the analysis in my message ?
I just do not believe that your proposed solution can be implemented in
a practical and mainteanable way.
If you have time to spend implementing this then I recommend you
forward-port support for the older kernels to the current udev instead,
it will be easier and more useful.

> Those packages would have to check in the maintainer scripts (a
> suitable checking script could be provided in the udev package) or
> have the ability to fall back to only the features provided by earlier
> udevs.
This looks like science fiction to me.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Thu, 07 Oct 2010 08:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <domi@komarr.gre.hp.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 07 Oct 2010 08:21:05 GMT) Full text and rfc822 format available.

Message #208 received at 571255@bugs.debian.org (full text, mbox):

From: Dominique Dumont <domi@komarr.gre.hp.com>
To: 571255@bugs.debian.org
Subject: Need some examples
Date: Thu, 7 Oct 2010 10:11:14 +0200
Marco wrote:
>> Those packages would have to check in the maintainer scripts (a
>> suitable checking script could be provided in the udev package) or
>> have the ability to fall back to only the features provided by earlier
> udevs.
>This looks like science fiction to me.

I can give it a try. But I've not played much with udev. I need more details 
(and some examples) on what does mean to "fall back on earlier features".

Could you send me some examples or pointers (privately or in this bug report) 
so I can figure out what can be done ?

All the best

Dominique
--
http://config-model.wiki.sourceforge.net/ -o- http://search.cpan.org/~ddumont/
http://www.ohloh.net/accounts/ddumont     -o- http://ddumont.wordpress.com/





Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Thu, 07 Oct 2010 18:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 07 Oct 2010 18:54:03 GMT) Full text and rfc822 format available.

Message #213 received at 571255@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Dominique Dumont <domi@komarr.gre.hp.com>, 571255@bugs.debian.org
Subject: Re: Bug#571255: Need some examples
Date: Thu, 7 Oct 2010 20:51:14 +0200
[Message part 1 (text/plain, inline)]
On Oct 07, Dominique Dumont <domi@komarr.gre.hp.com> wrote:

> Could you send me some examples or pointers (privately or in this bug report) 
> so I can figure out what can be done ?
Not really, I think this would take many days.

vorlon will send a patch to revert the check and hope for the better.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#571255; Package udev. (Tue, 12 Oct 2010 14:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Tue, 12 Oct 2010 14:21:05 GMT) Full text and rfc822 format available.

Message #218 received at 571255@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 571255@bugs.debian.org
Subject: Re: Udev 151-2 upgrade problem on debian-testing-'squeeze' i386 cd binary1 20090302-04-:09
Date: Sun, 10 Oct 2010 02:45:47 -0700
[Message part 1 (text/plain, inline)]
tags 571255 patch
thanks

Hi Marco,

Attached is a proposed patch for this issue, making the changes discussed
earlier.

Further comments:

 - The list of kernel metapackages in Breaks: is the list of all such
   metapackages that existed in lenny; but not all of these still exist in
   squeeze.  Since that means there's no possibility of upgrade for those
   packages and the Breaks: will just cause it to be removed, maybe we
   should limit the Breaks: to those metapackages that still exist in
   squeeze?

 - The debconf template is long.  The second paragraph should maybe be
   trimmed some, but I thought it was better to be too verbose in the first
   draft than to not give enough information and have to redraft...

 - I have not tested this patch at all, except to confirm that the package
   still builds.

Let me know if I can help further.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[udev-571255.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Tue, 12 Oct 2010 14:21:09 GMT) Full text and rfc822 format available.

Forcibly Merged 571255 600167. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 14 Oct 2010 08:39:02 GMT) Full text and rfc822 format available.

Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. (Sun, 17 Oct 2010 00:48:09 GMT) Full text and rfc822 format available.

Notification sent to Seventh Prince <jiunshyong@gmail.com>:
Bug acknowledged by developer. (Sun, 17 Oct 2010 00:48:09 GMT) Full text and rfc822 format available.

Message #227 received at 571255-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 571255-close@bugs.debian.org
Subject: Bug#571255: fixed in udev 163-1
Date: Sun, 17 Oct 2010 00:45:53 +0000
Source: udev
Source-Version: 163-1

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive:

gir1.0-gudev-1.0_163-1_i386.deb
  to main/u/udev/gir1.0-gudev-1.0_163-1_i386.deb
libgudev-1.0-0_163-1_i386.deb
  to main/u/udev/libgudev-1.0-0_163-1_i386.deb
libgudev-1.0-dev_163-1_i386.deb
  to main/u/udev/libgudev-1.0-dev_163-1_i386.deb
libudev-dev_163-1_i386.deb
  to main/u/udev/libudev-dev_163-1_i386.deb
libudev0_163-1_i386.deb
  to main/u/udev/libudev0_163-1_i386.deb
udev-gtk-udeb_163-1_i386.udeb
  to main/u/udev/udev-gtk-udeb_163-1_i386.udeb
udev-udeb_163-1_i386.udeb
  to main/u/udev/udev-udeb_163-1_i386.udeb
udev_163-1.diff.gz
  to main/u/udev/udev_163-1.diff.gz
udev_163-1.dsc
  to main/u/udev/udev_163-1.dsc
udev_163-1_i386.deb
  to main/u/udev/udev_163-1_i386.deb
udev_163.orig.tar.gz
  to main/u/udev/udev_163.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 571255@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 17 Oct 2010 00:34:50 +0200
Source: udev
Binary: udev libudev0 libudev-dev udev-udeb udev-gtk-udeb libgudev-1.0-0 gir1.0-gudev-1.0 libgudev-1.0-dev
Architecture: source i386
Version: 163-1
Distribution: unstable
Urgency: low
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 gir1.0-gudev-1.0 - libgudev-1.0 introspection data
 libgudev-1.0-0 - GObject-based wrapper library for libudev
 libgudev-1.0-dev - libgudev-1.0 development files
 libudev-dev - libudev development files
 libudev0   - libudev shared library
 udev       - /dev/ and hotplug management daemon
 udev-gtk-udeb - libudev shared library (udeb)
 udev-udeb  - /dev/ and hotplug management daemon (udeb)
Closes: 526621 571255 593375 593881 595157 596165 596387 598254 598337 599074 599761 600207
Changes: 
 udev (163-1) unstable; urgency=low
 .
   * New upstream bugfix release. Fixes:
     + detection of multisession DVDs. (Closes: #596387)
   * CONFIG_SYSFS_DEPRECATED was disabled in the Debian kernel packages in
     2.6.28-1, so add a Breaks: against any linux-image-2.6-$flavor
     metapackages earlier than 2.6.28. Patch courtesy of Steve Langasek.
   * When CONFIG_SYSFS_DEPRECATED is enabled in the running kernel, instead
     of aborting the installation show a debconf error message advising to
     upgrade, since this is a commonly-encountered problem on upgrades from
     lenny to squeeze and aborting leaves the system in a difficult-to-correct
     state. Patch courtesy of Steve Langasek. (Closes: #571255)
   * Since lvm still has not been fixed, revert the change from 161-1 and
     delete again the udev database created by the initramfs udev.
     (See #590665 and #593625). (Closes: #593375, #595157)
   * Depend on hardening-includes.
   * Fixed support for the deprecated tmpfs_size option. (Closes: #599074)
   * Fixed support for device ACLs. (Closes: #593881)
   * Fixed support for VIO devices. (Closes: #526621)
   * Updated one ore more debconf translations.
     (Closes: #596165, #598254, #598337, #599761, #600207)
Checksums-Sha1: 
 46a70cc91e778e519168762c0c6095ff8aac257e 1424 udev_163-1.dsc
 4152c76189ee8e88e710ca794c77aa4cb0873d73 683321 udev_163.orig.tar.gz
 7b77d96c1437de0059b1665b5d0f442c1a62d789 82267 udev_163-1.diff.gz
 cf800824e61ed121c2a7f4669283ef544213ac28 501084 udev_163-1_i386.deb
 4b500910ac91ab0392bdeae387693b7999fa87d6 114130 libudev0_163-1_i386.deb
 26cd7b229dba487eeb8f7a066c714df8f4440a46 52752 libudev-dev_163-1_i386.deb
 6ed3d84909a8e12413773d80c61145aaf079160e 184666 udev-udeb_163-1_i386.udeb
 cc2ad346f9fcd82a8577a5af0d6ec436f360a066 24882 udev-gtk-udeb_163-1_i386.udeb
 75f7e0b348a933593bcc9920359c40e590d18c90 99398 libgudev-1.0-0_163-1_i386.deb
 4620db02c02433f9e7e0e1adb4335a5ddd35b9ac 2494 gir1.0-gudev-1.0_163-1_i386.deb
 2bc04f8a5907815c3d577764b4b815c9849afd60 34058 libgudev-1.0-dev_163-1_i386.deb
Checksums-Sha256: 
 9c8d6daac37da9655c5d83872f65edf71444467843bc46744c6c3903293214b3 1424 udev_163-1.dsc
 a58f3d1ec20b897d90add2568bf8f5ded95abfa28fd41c7d5cf4e756f413c196 683321 udev_163.orig.tar.gz
 d1176b832482d001103280e8b77f77a54bcd15a1d7feb8765dd9a8574bd465e1 82267 udev_163-1.diff.gz
 a4c06094d4e62a58313766ee942b44701a74d0c1db50e04dea4a66c166fea278 501084 udev_163-1_i386.deb
 df7d316eed9ca5377e2bf3ceb32890c6e887fc07f3957fa635b87d5bee04113c 114130 libudev0_163-1_i386.deb
 dec509e6c54d6404421051a7bfec6d78ece5bbde78fd1361b52a6c5303c5d70d 52752 libudev-dev_163-1_i386.deb
 58f5229794d57f2b169eb8db9f98561f1e72cd922ca3e1f5c027010d1fc48ba4 184666 udev-udeb_163-1_i386.udeb
 832bb0c1c459b025e9cf4d20d0acb868c80058759a14c418265c12e169e442fa 24882 udev-gtk-udeb_163-1_i386.udeb
 057e14e19d454ec69b82997bfc6c6429dfd8cfe26a613f4350732988a2177660 99398 libgudev-1.0-0_163-1_i386.deb
 bf35d6bdaaf4794360dc1de1fa0b4ea3d4c4786e5623f63fe8ebe03923ca68b9 2494 gir1.0-gudev-1.0_163-1_i386.deb
 4e6ba058743cd20032bc15fee8832520eac573c55dcef4dd8baa9279c54b1651 34058 libgudev-1.0-dev_163-1_i386.deb
Files: 
 b8946717a4c3e27dff475ac7ee17d495 1424 admin important udev_163-1.dsc
 97498eb9272297ea3717bffb4dd8748e 683321 admin important udev_163.orig.tar.gz
 caceccb023754fae1d6c17354563c75a 82267 admin important udev_163-1.diff.gz
 e77de8c6d83903ac4a87dad3f8f4534d 501084 admin important udev_163-1_i386.deb
 d128b3cdc3fae6eb3f4a1f8d280104b8 114130 libs optional libudev0_163-1_i386.deb
 ea46c4c215b89aba81f3de7522085ce5 52752 libdevel optional libudev-dev_163-1_i386.deb
 ac2255e022d00c76cbaeb4736e2299b8 184666 debian-installer important udev-udeb_163-1_i386.udeb
 5058253fc28e44b6e91aaabb93a2c949 24882 debian-installer optional udev-gtk-udeb_163-1_i386.udeb
 37123c0dbdc9853db265dbb78ef6edc5 99398 libs optional libgudev-1.0-0_163-1_i386.deb
 ba7286abc8faea4828b4cf2ba5643ba0 2494 libs optional gir1.0-gudev-1.0_163-1_i386.deb
 565ac51755058dd185042dadf21000cf 34058 libdevel optional libgudev-1.0-dev_163-1_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAky6K1MACgkQFGfw2OHuP7HWZACfXIBTEL0q/ilFdT1aLektWXY1
ArAAnRFFN9zbIbbw9LWhFlbGitBZWQMy
=Tfex
-----END PGP SIGNATURE-----





Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. (Sun, 17 Oct 2010 00:48:10 GMT) Full text and rfc822 format available.

Notification sent to Raphael Bossek <bossekr@debian.org>:
Bug acknowledged by developer. (Sun, 17 Oct 2010 00:48:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Nov 2010 07:32:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:54:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.